this.name					= "wildShips_tembo.js";
this.author					= "Thargoid with stuff from Kaks";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for Tembo hauler/trader";
this.version				= "1.0";
"use strict";

this.shipSpawned = function()
	{
	if(Math.random() > 0.6 && this.ship && this.ship.subEntities && this.ship.subEntities.length > 0)
		{
		this.ship.subEntities[0].remove();
		this.ship.lightsActive = false;
		return;
		}

	let subs = this.ship.subEntities;
	subs.items = function(){for (let loop = 0; loop < this.length; loop++) yield this[loop];}
	for (let loop in subs.items()) {
		loop.script.owner = this.ship;
		loop.script.shipDied = function(whom, why)
			{
			if(why && why === "removed") { return; }
			this.owner.spawn('cargopod', Math.ceil(Math.random()*20));
			this.owner.lightsActive = false;
			};
		}
	}

this.shipDied = function (whom, why)
	{
	if(why && why === "removed") { return; }
	this.ship.spawn('cargopod', Math.ceil(Math.random()*20));
	};
